Malware is everywhere -- deployed by email, botcrawlers, script injection, physical intrusion, and many other vectors. Hosts in the AniNIX deploy the VirusScan service to protect themselves.

# Etymology
The name comes from the function. [[Category:TODO]]

# Relevant Files and Software
### Linux
Linux hosts use the [https://wiki.archlinux.org/index.php/ClamAV ClamAV] package to scan for viruses. The AniNIX has a [file:///root/bin/vscan script] to execute the clamscan executable across all files, logging to [file:///var/log/clamscan.log log file] and reported via email to admins.

Crontab entries regularly execute the vscan and freshclam executables to scan the system and update the virus definitions daily.
[[Category:ClamAV]]
### Windows and Android
Windows and Android hosts will use the [https://avast.com Avast] software package to conduct scans. There are no configuration files to be manipulated directly.
[[Category:Avast]]

# Available Clients
There are no clients for this service.

# Additional Reference
## Hyper-V
Hyper-V hosts that must run antivirus should make sure to [https://social.technet.microsoft.com/wiki/contents/articles/2179.hyper-v-anti-virus-exclusions-for-hyper-v-hosts.aspx exclude these locations] to prevent guest disk errors as described in [[RCAs#Windows_Virtual_Disk_Failure]]. This includes both the host and any fileshares in use by other systems.

}}
[[Category:Internal_Service]]
[[Category:Security]]